export default {
    buildingIndex: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "项目名称",
                prop: "propertyName",
            },
            {
                label: "代理商",
                prop: "agentName",
                width: "120px",
                hide: true,
                showColumn: false,
            },
            {
                label: "公司",
                prop: "corporateName",
                width: "120px",
                hide: true,
                showColumn: false,
            },
            {
                label: "项目地区",
                prop: "provinceName",
                width: "120px",
                formatter: (data) => {
                    return `${data.provinceName || '-'}${data.cityName || ''}`
                }
            },
            {
                label: "联系人信息",
                prop: "linkman",
                width: "110px",
                formatter: (data) => {
                    return `${data.linkman}-${data.linkmanPhone}`
                }
            },
            {
                label: "管理员账号",
                prop: "managerPhone",
                width: "110px",
            },
            {
                label: "运营人员",
                prop: "operationStaffName",
                hide: true,
                showColumn: false,
            },
            {
                label: "项目类型",
                prop: "houseType",
                width: "110px",
                hide: true,
                showColumn: false,
                dicData: [{
                    label: '正式',
                    value: 0
                },{
                    label: '试用',
                    value: 1
                },{
                    label: '演示',
                    value: 2
                },{
                    label: '测试',
                    value: 3
                }]
            },
            {
                label: "合同开始日期",
                prop: "startWorking",
                width: "100px",
            },
            {
                label: "合同结束日期",
                prop: "endWorking",
                width: "100px",
            },
            {
                label: "添加日期",
                prop: "createTime",
                width: "100px",
                formatter: (data) => {
                    return data.createTime.substring(0, 10)
                }
            },
            {
                label: "服务状态",
                prop: "residueTime",
                width: "100px",
                formatter: data => {
                    let str = ''
                    if (Number(data.residueTime) >= 0) {
                        str = `服务中(${data.residueTime})`
                    } else {
                        str = `过期(${Math.abs(data.residueTime)})`
                    }
                    return str
                }
            },
            {
                label: "状态",
                prop: "lockFlag",
                width: "100px",
                formatter: data => {
                    return data.lockFlag == 1 ? "禁用" : "启用"
                }
            },
        ]
    },
    buildingArea: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "center",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "区域名称",
                prop: "areaName",
            },
            {
                label: "负责区域",
                prop: "provinceName",
            },
        ]
    }
}